<br/>
<div class="haupt" fxLayout='row' fxLayout.xs="column" fxLayoutGap="1%"  fxLayoutAlign="left">

  <div fxFlex="25%">
    <div>
    <mat-card>
      <mat-card-header *ngIf="game">
        <mat-card-title>{{game.name}}</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <div>
          <p>Erbauer: {{builder}} </p>
          <p>Dungeon Master: {{master}} </p>
          <p>Maximale Spieler: {{maxPlayers}}</p>
        </div>
      </mat-card-content>
      <mat-card-actions>
        <button mat-raised-button color="primary" (click)="back()">Zurück zur Übersicht</button>
      </mat-card-actions>
    </mat-card>
    </div>
  </div>

  <div fxFlex="65%">
    <mat-card>
      <mat-card-header>
        <mat-card-title>Erstellte Charaktere</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <table mat-table [dataSource]="characters" class="mat-elevation-z8">

          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name </th>
            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
          </ng-container>

          <ng-container matColumnDef="race">
            <th mat-header-cell *matHeaderCellDef> Rasse </th>
            <td mat-cell *matCellDef="let element"> {{element.characterRace.name}} </td>
          </ng-container>

          <ng-container matColumnDef="class">
            <th mat-header-cell *matHeaderCellDef> Klasse </th>
            <td mat-cell *matCellDef="let element"> {{element.characterClass.name}} </td>
          </ng-container>

          <ng-container matColumnDef="play">
            <th mat-header-cell *matHeaderCellDef>  </th>
            <td mat-cell *matCellDef="let element; let i = index">
              <button mat-raised-button color="accent" (click)="play(i)" *ngIf="game.running">
                Spielen
                <mat-icon>play_arrow</mat-icon></button>
              <button mat-icon-button (click)="deleteCharacter(element.id)">
                <mat-icon>delete_forever</mat-icon>
              </button>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <div class="untenAbstand">
          <button mat-raised-button color="primary" (click)="toCharacterCreator()">Neuen Charakter erstellen</button>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
</div>
